"use strict";

exports.__esModule = true;
exports.default = void 0;
var _LogColors = _interopRequireDefault(require("./LogColors"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
class Logger {
  constructor(prefix) {
    _defineProperty(this, "prefix", void 0);
    this.prefix = prefix;
  }
  info(message, ...optionalParams) {
    console.log(this.prefix, message, ...optionalParams);
  }
  warn(message, ...optionalParams) {
    console.warn(this.prefix, _LogColors.default.yellow(message), ...optionalParams);
  }
  error(message, ...optionalParams) {
    const string = message.stack || message;
    console.error(this.prefix, _LogColors.default.red(string), ...optionalParams);
  }
}
exports.default = Logger;