"use strict";

exports.__esModule = true;
exports.NodeHotLoaderWebpackPlugin = void 0;
var _HmrServer = _interopRequireDefault(require("./HmrServer"));
var _loader = require("./loader");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
class NodeHotLoaderWebpackPlugin {
  /**
   * @param {{
   *  force?: boolean;
   *  fork?: boolean | string[];
   *  args?: string[];
   *  autoRestart?: boolean;
   *  inMemory?: boolean;
   *  logLevel?: string;
   * }} options
   */
  constructor(options = {}) {
    _defineProperty(this, "options", void 0);
    this.options = options;
  }

  /**
   * @param {import('webpack').Compiler} compiler
   */
  apply(compiler) {
    if (!this.options.force && !compiler.options.watch) return;
    (0, _loader.tweakWebpackConfig)(compiler.options);
    const hmrServer = new _HmrServer.default({
      compiler,
      ...this.options
    });
    hmrServer.run(false);
  }
}
exports.NodeHotLoaderWebpackPlugin = NodeHotLoaderWebpackPlugin;